MyGUI: MyGUI::xml Namespace Reference

MyGUI 3.2.2

Namespaces | Data Structures | Typedefs | Functions
MyGUI::xml Namespace Reference

## Namespaces
| utility

## Data Structures
class | Document
class | Element
class | ElementEnumerator
struct | ElementType
struct | ErrorType

## Typedefs
typedef Element * | ElementPtr
typedef std::pair< std::string, std::string > | PairAttribute
typedef std::vector< PairAttribute > | VectorAttributes
typedef std::vector< ElementPtr > | VectorElement
typedef ElementEnumerator | xmlNodeIterator
typedef ElementPtr | xmlNodePtr
typedef Document | xmlDocument

## Functions
void | open_stream (std::ofstream &_stream, const std::wstring &_wide)
void | open_stream (std::ifstream &_stream, const std::wstring &_wide)

## Typedef Documentation

## ◆ ElementPtr

typedef Element* MyGUI::xml::ElementPtr

Definition at line 104 of file MyGUI_XmlDocument.h.

## ◆ PairAttribute

typedef std::pair<std::string, std::string> MyGUI::xml::PairAttribute

Definition at line 107 of file MyGUI_XmlDocument.h.

## ◆ VectorAttributes

typedef std::vector<PairAttribute> MyGUI::xml::VectorAttributes

Definition at line 108 of file MyGUI_XmlDocument.h.

## ◆ VectorElement

typedef std::vector<ElementPtr> MyGUI::xml::VectorElement

Definition at line 109 of file MyGUI_XmlDocument.h.

## ◆ xmlDocument

typedef Document MyGUI::xml::xmlDocument

Deprecated:
  "use : class MyGUI::xml::Document"

Definition at line 365 of file MyGUI_XmlDocument.h.

## ◆ xmlNodeIterator

typedef ElementEnumerator MyGUI::xml::xmlNodeIterator

Deprecated:
  "use : class MyGUI::xml::ElementEnumerator"

Definition at line 361 of file MyGUI_XmlDocument.h.

## ◆ xmlNodePtr

typedef ElementPtr MyGUI::xml::xmlNodePtr

Deprecated:
  "use : class MyGUI::xml::ElementPtr"

Definition at line 363 of file MyGUI_XmlDocument.h.

## Function Documentation

## ◆ open_stream() [1/2]

void MyGUI::xml::open_stream | ( | std::ifstream & | _stream,
|  | const std::wstring & | _wide
| ) |  |
| inline

Definition at line 367 of file MyGUI_XmlDocument.cpp.

## ◆ open_stream() [2/2]

void MyGUI::xml::open_stream | ( | std::ofstream & | _stream,
|  | const std::wstring & | _wide
| ) |  |
| inline

Definition at line 363 of file MyGUI_XmlDocument.cpp.